> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auth token



## OpenAPI

````yaml openapi/api-gateway.json POST /authenticate
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.22.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /authenticate:
    post:
      tags:
        - api-gateway
      operationId: get_user_token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthenticateRequest'
        required: true
      responses:
        '200':
          description: Token generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticateResponse'
        '400':
          description: 2FA required but not provided
        '401':
          description: Unauthorized
components:
  schemas:
    AuthenticateRequest:
      allOf:
        - $ref: '#/components/schemas/AuthenticationMethod'
        - type: object
          required:
            - expiration_seconds
          properties:
            expiration_seconds:
              type: integer
              format: int32
      description: Exchange an API key and secret for a bearer token.
    AuthenticateResponse:
      type: object
      required:
        - token
      properties:
        token:
          $ref: '#/components/schemas/Token'
    AuthenticationMethod:
      oneOf:
        - type: object
          required:
            - api_key
            - api_secret
          properties:
            api_key:
              type: string
            api_secret:
              type: string
    Token:
      type: string
      description: Strong type for Token with validation

````